Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.service
Class SecurityServiceRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  weblogic.utils.NestedRuntimeException
                      weblogic.security.service.SecurityServiceRuntimeException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

Direct Known Subclasses:
  InvalidParameterException, MBeanException, NotYetInitializedException, ProviderException

public class SecurityServiceRuntimeException
extends weblogic.utils.NestedRuntimeException

The `SecurityServiceRuntimeException` exception is the base exception implemented by some of the WebLogic Security Framework exceptions (that is, any exception that is unique to the `weblogic.security.services` package).

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Constructor Summary
`SecurityServiceRuntimeException()` Constructs a `SecurityServiceRuntimeException` with no arguments.
`SecurityServiceRuntimeException(String msg)` Constructs a `SecurityServiceRuntimeException` with the specified detail message.
`SecurityServiceRuntimeException(String msg, Throwable nested)` Constructs a `SecurityServiceRuntimeException` with a detail message and a nested exception.
`SecurityServiceRuntimeException(Throwable nested)` Constructs a `SecurityServiceRuntimeException` with a nested exception.

Methods inherited from class weblogic.utils.NestedRuntimeException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityServiceRuntimeException

    public SecurityServiceRuntimeException()

  Constructs a `SecurityServiceRuntimeException` with no arguments.

### SecurityServiceRuntimeException

    public SecurityServiceRuntimeException(String msg)

  Constructs a `SecurityServiceRuntimeException` with the specified detail message. A detail message is a String that describes this particular exception.

### SecurityServiceRuntimeException

    public SecurityServiceRuntimeException(String msg,
                                           Throwable nested)

  Constructs a `SecurityServiceRuntimeException` with a detail message and a nested exception.

### SecurityServiceRuntimeException

    public SecurityServiceRuntimeException(Throwable nested)

  Constructs a `SecurityServiceRuntimeException` with a nested exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD